"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var react_i18next_1 = require("react-i18next");
var yup_1 = require("yup");
var core_1 = require("@reactionable/core");
var ModalForm_1 = require("../../../modal-form/ModalForm");
var Form_1 = require("../../../form/Form");
;
exports.useAuthenticator = function () {
    var t = react_i18next_1.useTranslation().t;
    var _a = core_1.useIdentityContext(), login = _a.login, logout = _a.logout, setUser = _a.setUser, user = _a.user;
    var modal = ModalForm_1.useModalForm({
        title: t('Sign Up / Sign In'),
        submitButton: t('Sign In'),
        formValues: { email: '', password: '', remember: true },
        onSubmit: function (values, actions) { return tslib_1.__awaiter(void 0, void 0, void 0, function () {
            var user;
            return tslib_1.__generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, login(values)];
                    case 1:
                        user = _a.sent();
                        setUser(user);
                        return [2 /*return*/, user];
                }
            });
        }); },
        formSchema: {
            email: yup_1.string()
                .email()
                .required(t('Email is required')),
            password: yup_1.string()
                .required(t('Password is required')),
        },
        render: function (formikBag, isLoading) { return React.createElement(React.Fragment, null,
            React.createElement(Form_1.FormField, { name: "email", label: t('Email') }),
            React.createElement(Form_1.FormField, { name: "email", 
                // type="password"
                label: t('Email') })); },
    }).modal;
    return {
        open: open,
        close: close,
        modal: modal,
        user: user,
        logout: logout,
    };
};
//# sourceMappingURL=Authenticator.js.map